---
title: llarp::rpc::QuicListener::request_parameters

---

# llarp::rpc::QuicListener::request_parameters





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| int | **[closeID](Classes/structllarp_1_1rpc_1_1QuicListener_1_1request__parameters.md#variable-closeid)**  |
| std::string | **[endpoint](Classes/structllarp_1_1rpc_1_1QuicListener_1_1request__parameters.md#variable-endpoint)**  |
| uint16_t | **[port](Classes/structllarp_1_1rpc_1_1QuicListener_1_1request__parameters.md#variable-port)**  |
| std::string | **[remoteHost](Classes/structllarp_1_1rpc_1_1QuicListener_1_1request__parameters.md#variable-remotehost)**  |
| std::string | **[srvProto](Classes/structllarp_1_1rpc_1_1QuicListener_1_1request__parameters.md#variable-srvproto)**  |

## Public Attributes Documentation

### variable closeID

```cpp
int closeID;
```


### variable endpoint

```cpp
std::string endpoint;
```


### variable port

```cpp
uint16_t port;
```


### variable remoteHost

```cpp
std::string remoteHost;
```


### variable srvProto

```cpp
std::string srvProto;
```


-------------------------------

Updated on 2023-03-06 at 20:36:34 +0000